javax.sound.midi

## Interface MetaEventListener

All Superinterfaces:
  EventListener

    public interface MetaEventListener
    extends EventListener

The `MetaEventListener` interface should be implemented by classes whose instances need to be notified when a ``Sequencer`` has processed a ``MetaMessage``. To register a `MetaEventListener` object to receive such notifications, pass it as the argument to the ``addMetaEventListener`` method of `Sequencer`.

### Method Summary

Methods
`void` `meta(MetaMessage meta)` Invoked when a ``Sequencer`` has encountered and processed a `MetaMessage` in the ``Sequence`` it is processing.

### Method Detail

#### meta

    void meta(MetaMessage meta)

Invoked when a ``Sequencer`` has encountered and processed a `MetaMessage` in the ``Sequence`` it is processing.

Parameters:
  `meta` - the meta-message that the sequencer encountered

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.